-- Author      : Draimyn = Area52 Horde
-- Create Date : 2/14/2015 2:31:03 PM
-- This addon Checks you Current Specialization Role and compares it to your LFG selected 
-- role when you enter an instance and alerts you if you need to switch.
-- Special thanks to SDPhantom, Phanx, and Mazzop of WoW Interface for assistance


local frame = CreateFrame("Frame")

frame:RegisterEvent("PLAYER_ENTERING_WORLD");

frame:SetScript("OnEvent", function(self, event, ...)
	local isInstance = IsInInstance()
	if event == "PLAYER_ENTERING_WORLD" and isInstance then
		local currentSpec = GetSpecialization()
		local currentSpecName = currentSpec and select(2, GetSpecializationInfo(currentSpec)) or "None" -- Get Current Spec Name
		local role = UnitGroupRolesAssigned("player"); -- Role selected or assigned in LFG 
		local spec = GetSpecialization()
		local specRole = GetSpecializationRole(spec)   -- Current Role Specialization
		if role ~= specRole then
			playSound()
			message("|cffFF4500You are in the wrong Specialization!|r \n \n |cffffff00Change your Current Specialization before Combat!")
			print("|cff00ccffYour current Specialization:|r", currentSpecName)
		end
		if role == specRole then
			print("|cff00ccffYour current Specialization:|r", currentSpecName)
		end
    end
end)

-- Sound file to play when in wrong Specialization
function playSound()
	PlaySoundFile("Sound\\Creature\\Illidan\\BLACK_Illidan_04.wav", "Master")
end
